The run destination iPhone is not valid for Running the scheme

Hi,
I've installed a fresh copy of XCode and AppCode and when I try to build/run a HelloWord project, AppCode says

xcodebuild: error: The run destination iPhone is not valid for Running the scheme 'App'.
The scheme 'App' contains no buildables that can be built for the SDKs supported by the run destination iPhone. Make sure your targets all specify SDKs that are supported by this version of Xcode.



In XCode, the app builds/runs fine.

What did I do wrong ?

cheers

7 comments
Comment actions Permalink

Please check that default Xcode for your system is the lates one. You can check it in AppCode (Preferences | Xcode) or from Terminal (xcode-select --print-path). If it's not so change the current version in Terminal  (xcode-select --switch <path_to_Xcode>/Contents/Developer) and restart AppCode.

Another question - are you building for simulator or actual device?

0
Comment actions Permalink

It points to the latest version "5.0.1 (5A2053)" in "/Applications/Xcode.app/Contents/Developer".

I'm building for the simulator

0
Comment actions Permalink

Could you please send the build log of your appication to appcode-support@jetbrains.com ? You can get the log by following the instructions from http://devnet.jetbrains.com/message/5501138#5501138

0
Comment actions Permalink

Here is the log



Attachment(s):
appcode.log.zip
0
Comment actions Permalink

Thanks. Will try to figure out what's happening.

0
Comment actions Permalink

Please provide us AppCode's environment information.

For this follow AppCode | About AppCode in the main menu. After About window is opened press Cmd+C and then just paste the information here (or send it to appcode-support@jetbrains.com) without license part.

Thanks.

0
Comment actions Permalink

Hi,
I had this version

JetBrains AppCode 2.1
Build #OC-129.772, built on June 17, 2013
JRE : 1.6.0_65
VM: Java HotSpot(TM) 64-Bit Server VM by Apple Inc.


now I've updated to

AppCode 2.5.1
Build #OC-131.409, built on October 25, 2013
JRE : 1.6.0_65
VM: Java HotSpot(TM) 64-Bit Server VM by Apple Inc.

and it works fine now.

thanks

0

Please sign in to leave a comment.